Skip to content

Publish account balances

POST
/api/app/service-provider/accounts
curl --request POST \
--url https://test.unipay.co.zw/api/app/service-provider/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "syncGeneration": 1, "accounts": [ { "accountNumber": "example", "name": "example", "balance": 1, "currency": "example", "customerReference": "example" } ] }'
Media typeapplication/json
object
syncGeneration
required
integer format: int64
accounts
required
Array<object>
>= 1 items <= 500 items
object
accountNumber
string
nullable
name
string
nullable
balance
number format: double
currency
string
nullable
customerReference
string
nullable
Examplegenerated
{
"syncGeneration": 1,
"accounts": [
{
"accountNumber": "example",
"name": "example",
"balance": 1,
"currency": "example",
"customerReference": "example"
}
]
}

OK

Media typeapplication/json
object
inserted
integer format: int32
updated
integer format: int32
failed
integer format: int32
errors
Array<object>
nullable
object
accountNumber
string
nullable
message
string
nullable
Examplegenerated
{
"inserted": 1,
"updated": 1,
"failed": 1,
"errors": [
{
"accountNumber": "example",
"message": "example"
}
]
}

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions